Authorization: Bearer ********************{
"title": "عنوان محدث",
"body": "محتوى محدث",
"community_category_id": 0
}curl --location --request PATCH 'https://api.msaaq.com/v1/tenant/communities/mjtma-alakadymyh/topics/1' \
--header 'X-Tenant: academy.msaaq.com' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"title": "عنوان محدث",
"body": "محتوى محدث",
"community_category_id": 0
}'{
"message": "تم الحفظ بنجاح",
"data": {
"id": 1,
"title": "موضوع جديد",
"body": "محتوى الموضوع...",
"status": "published",
"is_pinned": false,
"is_locked": false,
"posts_count": 12,
"likes_count": 5,
"author": {
"id": 1,
"name": "أحمد محمد",
"avatar": "https://example.com/avatar.jpg"
},
"category": {
"id": 1,
"community_id": 1,
"name": "عام",
"description": "نقاشات عامة",
"slug": "general",
"sort": 0,
"topics_count": 30,
"created_at": "2026-02-26 11:30:00",
"updated_at": "2026-02-26 11:30:00"
},
"liked": false,
"images": [
"http://example.com"
],
"attachments": [
{
"name": "string",
"url": "http://example.com",
"size": 0
}
],
"created_at": "2026-02-26 11:30:00",
"updated_at": "2026-02-26 11:30:00"
}
}